TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

CipherKey ( string password, string cipher, string digest ) -> string key, string iv

### Optional Arguments

Salt | elt-ord^rat | (Default: ?) | Determine salt to be added.
Fail | any |  | Determines what to return in case of failure.
Count | elt-ord^rat | (Default: 1) | Determine how often `password' is hashed under `digest'.
IgnoreErrors | elt-alg^boo | (Default: FALSE) | Determine whether to ignore all errors and return FAILURE instead

### Description

<shortdoc> Construct a key and initialisation vector suitable for encryption. </shortdoc>

### Examples

CipherKey("sometest","AES-256-CBC","RIPEMD160");;

### See also

CipherEncrypt ( string, string, string ) -> string

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack